"""answer table modified

Revision ID: 189dd8792b80
Revises: 97c4fab879a0
Create Date: 2019-01-21 00:16:44.891772

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import mysql

# revision identifiers, used by Alembic.
revision = '189dd8792b80'
down_revision = '97c4fab879a0'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('answer', sa.Column('answer_time', sa.DateTime(), nullable=True))
    op.add_column('answer', sa.Column('question_id', sa.Integer(), nullable=True))
    op.create_index(op.f('ix_answer_answer_time'), 'answer', ['answer_time'], unique=False)
    op.drop_index('ix_answer_timestamp', table_name='answer')
    op.create_foreign_key(None, 'answer', 'post', ['question_id'], ['id'])
    op.drop_column('answer', 'timestamp')
    op.add_column('post', sa.Column('question_time', sa.DateTime(), nullable=True))
    op.create_index(op.f('ix_post_question_time'), 'post', ['question_time'], unique=False)
    op.drop_index('ix_post_timestamp', table_name='post')
    op.drop_column('post', 'timestamp')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('post', sa.Column('timestamp', mysql.DATETIME(), nullable=True))
    op.create_index('ix_post_timestamp', 'post', ['timestamp'], unique=False)
    op.drop_index(op.f('ix_post_question_time'), table_name='post')
    op.drop_column('post', 'question_time')
    op.add_column('answer', sa.Column('timestamp', mysql.DATETIME(), nullable=True))
    op.drop_constraint(None, 'answer', type_='foreignkey')
    op.create_index('ix_answer_timestamp', 'answer', ['timestamp'], unique=False)
    op.drop_index(op.f('ix_answer_answer_time'), table_name='answer')
    op.drop_column('answer', 'question_id')
    op.drop_column('answer', 'answer_time')
    # ### end Alembic commands ###
